# $Revision: 1.13 $, $Date: 2009/09/16 13:27:06 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	Maketext-Simple
Summary:	Locale::Maketext::Simple - Simple interface to Locale::Maketext::Lexicon
Summary(pl.UTF-8):	Locale::Maketext::Simple - prosty interfejs do Locale::Maketext::Lexicon
Name:		perl-Locale-Maketext-Simple
Version:	0.21
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0a7c5c3b18cf31d764e1631eb9a3d367
URL:		http://search.cpan.org/dist/Locale-Maketext-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Regexp-Common
BuildRequires:	perl-Test-Simple
# to resolve dependency package name only:
BuildRequires:	perl-Locale-Maketext
%endif
Requires:	perl-dirs >= 2.1-15
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple interface to Locale::Maketext::Lexicon.

%description -l pl.UTF-8
Prosty interfejs do Locale::Maketext::Lexicon.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/Locale/Maketext/*.pm
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-Maketext-Simple.spec,v $
Revision 1.13  2009/09/16 13:27:06  amateja
- updated to 0.21

Revision 1.12  2009/07/24 17:14:56  adamg
- vendorlib/Locale/Maketext moved to perl-dirs; release 2

Revision 1.11  2007/12/24 02:19:25  zbyniu
- up to 0.18

Revision 1.10  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.8  2006/07/26 20:51:51  qboosh
- readable files

Revision 1.7  2006/07/26 17:43:26  glen
- fix md5

Revision 1.6  2006/07/26 17:26:23  glen
- 0.16, generic URL

Revision 1.5  2006/07/26 17:18:39  agaran
- added missing %dir, otherwise it get default perms, on some hosts 0700

Revision 1.4  2004/11/03 22:30:30  paladine
- formatting

Revision 1.3  2004/06/05 18:10:43  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.2  2004/05/21 17:31:08  qboosh
- pl

Revision 1.1  2004/05/21 02:34:36  arekm
- initial pld release
